Bug 837710 - Failure in reprovisioning prevents recipe from being aborted/cancelled
Failure in reprovisioning prevents recipe from being aborted/cancelled
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.1
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 18:59 EDT by Dan Callaghan
Modified: 2012-07-19 20:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 20:39:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-07-04 18:59:18 EDT
If a system has a re-provision distro set, but something goes wrong trying to re-provision it (for example, a missing kickstart) then it is impossible to abort/cancel the recipe. beaker-watchdog will loop forever trying to do so:

2012-07-04 08:51:48 [ERROR   ] {32599} bkr.labcontroller.proxy:397 Failed to abort expired watchdog
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/bkr/labcontroller/proxy.py", line 394, in expire_watchdogs
    self.abort(watchdog)
  File "/usr/lib/python2.6/site-packages/bkr/labcontroller/proxy.py", line 459, in abort
    'External Watchdog Expired')
  File "/usr/lib/python2.6/site-packages/bkr/labcontroller/proxy.py", line 143, in recipe_stop
    return self.hub.recipes.stop(recipe_id, stop_type, msg)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.6/site-packages/kobo/xmlrpc.py", line 403, in request
    result = transport_class.request(self, *args, **kwargs)
  File "/usr/lib/python2.6/site-packages/kobo/xmlrpc.py", line 259, in _request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1392, in _parse_response
    return u.close()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 838, in close
    raise Fault(**self._stack[0])
Fault: <Fault 1: "<type 'exceptions.ValueError'>:No kickstart template found for Distro(name=u'Grid-2-RHEL6.2'), tried: kickstarts/RedHatEnterpriseLinuxGrid6, kickstarts/RedHatEnterpriseLinuxGrid">
Comment 1 Dan Callaghan 2012-07-05 22:51:06 EDT
On Gerrit: http://gerrit.beaker-project.org/1181
Comment 5 Dan Callaghan 2012-07-19 20:39:14 EDT
Beaker 0.9.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.